TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsSquare ( elt-rng x ) -> elt-alg^boo, elt-rng

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> True iff the ring element x is a square; if true, the square root of x is also returned. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack